org.keycloak.adapters.undertow

## Class ServletKeycloakAuthMech

- java.lang.Object
- - org.keycloak.adapters.undertow.UndertowKeycloakAuthMech
  - - org.keycloak.adapters.undertow.ServletKeycloakAuthMech

- All Implemented Interfaces:
    io.undertow.security.api.AuthenticationMechanism
  Direct Known Subclasses:
    WildflyAuthenticationMechanism

      public class ServletKeycloakAuthMech
      extends UndertowKeycloakAuthMech

  Version:
    $Revision: 1 $
  Author:
    Bill Burke, Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.undertow.security.api.AuthenticationMechanism

      `io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome, io.undertow.security.api.AuthenticationMechanism.ChallengeResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected io.undertow.servlet.api.ConfidentialPortManager` | `portManager`
    `protected UndertowUserSessionManagement` | `userSessionManagement`

    - ### Fields inherited from class org.keycloak.adapters.undertow.UndertowKeycloakAuthMech

      `deploymentContext, KEYCLOAK_CHALLENGE_ATTACHMENT_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletKeycloakAuthMech(AdapterDeploymentContext deploymentContext, UndertowUserSessionManagement userSessionManagement, io.undertow.servlet.api.ConfidentialPortManager portManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome` | `authenticate(io.undertow.server.HttpServerExchange exchange, io.undertow.security.api.SecurityContext securityContext)`
    `protected RequestAuthenticator` | `createRequestAuthenticator(KeycloakDeployment deployment, io.undertow.server.HttpServerExchange exchange, io.undertow.security.api.SecurityContext securityContext, UndertowHttpFacade facade)`
    `protected int` | `getConfidentilPort(io.undertow.server.HttpServerExchange exchange)`
    `protected void` | `registerNotifications(io.undertow.security.api.SecurityContext securityContext)`

    - ### Methods inherited from class org.keycloak.adapters.undertow.UndertowKeycloakAuthMech

      `keycloakAuthenticate, sendChallenge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSessionManagement

          protected UndertowUserSessionManagement userSessionManagement

    - #### portManager

          protected io.undertow.servlet.api.ConfidentialPortManager portManager

  - ### Constructor Detail

    - #### ServletKeycloakAuthMech

          public ServletKeycloakAuthMech(AdapterDeploymentContext deploymentContext,
                                 UndertowUserSessionManagement userSessionManagement,
                                 io.undertow.servlet.api.ConfidentialPortManager portManager)

  - ### Method Detail

    - #### authenticate

          public io.undertow.security.api.AuthenticationMechanism.AuthenticationMechanismOutcome authenticate(io.undertow.server.HttpServerExchange exchange,
                                                                                                     io.undertow.security.api.SecurityContext securityContext)

    - #### registerNotifications

          protected void registerNotifications(io.undertow.security.api.SecurityContext securityContext)

      Overrides:
        `registerNotifications` in class `UndertowKeycloakAuthMech`

    - #### createRequestAuthenticator

          protected RequestAuthenticator createRequestAuthenticator(KeycloakDeployment deployment,
                                                        io.undertow.server.HttpServerExchange exchange,
                                                        io.undertow.security.api.SecurityContext securityContext,
                                                        UndertowHttpFacade facade)

    - #### getConfidentilPort

          protected int getConfidentilPort(io.undertow.server.HttpServerExchange exchange)

Copyright © 2014. All Rights Reserved.